Debian Bug report logs - #479460
perl-modules: Please adjust manpage sections in Module::Build::Base

version graph

Package: perl-modules; Maintainer for perl-modules is Niko Tyni <ntyni@debian.org>; Source for perl-modules is src:perl.

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 4 May 2008 22:09:03 UTC

Severity: normal

Found in version perl/5.10.0-9

Fixed in version perl/5.10.0-10

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#479460; Package perl-modules. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl-modules: Please adjust manpage sections in Module::Build::Base
Date: Mon, 05 May 2008 00:01:10 +0200
[Message part 1 (text/plain, inline)]
Package: perl-modules
Version: 5.10.0-9
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I just stumbled over a lintian warning about a
"manpage-section-mismatch .. 3pm != 3" for a package using
Module::Build when building with perl 5.10.

I guess the reason is that /usr/share/perl/5.10.0/Module/Build/Base.pm
uses sections 1 and 3 (lines 2555/2579) -
/usr/share/perl5/Module/Build/Base.pm (from libmodule-build-perl,
otherwise identical) has those lines patched to use 1p and 3pm respectively.

I guess applying the same patch (attached) would be a good idea.

Cheers,
gregor

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'experimental'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25.200805041514
Locale: LANG=C, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages perl-modules depends on:
ii  perl                          5.10.0-9   Larry Wall's Practical Extraction 

perl-modules recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIHjIlOzKYnQDzz+QRAgqfAJ4ihIip3WSDAtY+77EvaMzCj2YPaACgycgk
R03KVG4E3PdIFZPspw/qed8=
=YIj5
-----END PGP SIGNATURE-----
[man-ext (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#479460; Package perl-modules. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #10 received at 479460@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 479202@bugs.debian.org, 479460@bugs.debian.org, 479762@bugs.debian.org
Subject: setting package to perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid ...
Date: Wed, 07 May 2008 10:18:58 +0300
# Automatically generated email from bts, devscripts version 2.10.27
#
# perl (5.10.0-10) UNRELEASED; urgency=low
#
#  * Move Hash::Util to perl-base, it's needed by fields.pm. (Closes: #479202)
#  * Make h2ph allow the quote mark delimiter also for those #include directives
#    chased with "h2ph -a". (Closes: #479762)
#  * Adjust manual page sections in Module::Build::Base for the Debian Perl
#    policy. (Closes: #479460)
#

package perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid
tags 479202 + pending
tags 479460 + pending
tags 479762 + pending





Tags added: pending Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 07 May 2008 07:21:28 GMT) Full text and rfc822 format available.

Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 479460-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 479460-close@bugs.debian.org
Subject: Bug#479460: fixed in perl 5.10.0-10
Date: Thu, 08 May 2008 13:02:06 +0000
Source: perl
Source-Version: 5.10.0-10

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-10_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-10_all.deb
libperl-dev_5.10.0-10_amd64.deb
  to pool/main/p/perl/libperl-dev_5.10.0-10_amd64.deb
libperl5.10_5.10.0-10_amd64.deb
  to pool/main/p/perl/libperl5.10_5.10.0-10_amd64.deb
perl-base_5.10.0-10_amd64.deb
  to pool/main/p/perl/perl-base_5.10.0-10_amd64.deb
perl-debug_5.10.0-10_amd64.deb
  to pool/main/p/perl/perl-debug_5.10.0-10_amd64.deb
perl-doc_5.10.0-10_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-10_all.deb
perl-modules_5.10.0-10_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-10_all.deb
perl-suid_5.10.0-10_amd64.deb
  to pool/main/p/perl/perl-suid_5.10.0-10_amd64.deb
perl_5.10.0-10.diff.gz
  to pool/main/p/perl/perl_5.10.0-10.diff.gz
perl_5.10.0-10.dsc
  to pool/main/p/perl/perl_5.10.0-10.dsc
perl_5.10.0-10_amd64.deb
  to pool/main/p/perl/perl_5.10.0-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 May 2008 14:32:30 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.0-10
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - The Pathologically Eclectic Rubbish Lister
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Closes: 479460 479762 479863
Changes: 
 perl (5.10.0-10) unstable; urgency=low
 .
   * Integrate NMU, thanks Bastian.
   * Make h2ph allow the quote mark delimiter also for those #include directives
     chased with "h2ph -a". (Closes: #479762)
   * Adjust manual page sections in Module::Build::Base for the Debian Perl
     policy. (Closes: #479460)
   * Disable the "v-string in use/require is non-portable" warning again.
     (Closes: #479863)
Checksums-Sha1: 
 3f4856f5e587db061672fdbab8a6971ca40b0756 1199 perl_5.10.0-10.dsc
 498e7fdcb42b68a6c03b67d69c0dfc279f41490f 104289 perl_5.10.0-10.diff.gz
 82600f95f6c6dd8ade7f898c7d768cea846f7faa 42704 libcgi-fast-perl_5.10.0-10_all.deb
 2dc5ceb038f5e4242f4a5a7b0d134d8c8f12f257 8241530 perl-doc_5.10.0-10_all.deb
 12c55ccd673971d4877f1b289188cb7795ca2f59 3293556 perl-modules_5.10.0-10_all.deb
 b9e8978ac58c2134856e31fdf0c4e910ce536d6b 925160 perl-base_5.10.0-10_amd64.deb
 28e539e031cb74f55f557442250504ae6c77c9d3 5371488 perl-debug_5.10.0-10_amd64.deb
 9c9519ab7bdba5e598d8755b4eafa63a6341d25e 31488 perl-suid_5.10.0-10_amd64.deb
 dadb0c2024a50ab299864f97ab8669d24eba7d8d 1010 libperl5.10_5.10.0-10_amd64.deb
 8a9075e83edfc16cd963cab441ea4a69cb1f813b 2522714 libperl-dev_5.10.0-10_amd64.deb
 266b4849ebf2ff60f3fd57c60d2c75f3c296fbf4 5233074 perl_5.10.0-10_amd64.deb
Checksums-Sha256: 
 b0d9ee2390f853f7bead8c8a31c26da058468a6c9644d84bc989b2af69db883e 1199 perl_5.10.0-10.dsc
 9f00de4b074bbb35138a4246f06cc2a7c11a5fb454360f9c8a6d94fedbde7e04 104289 perl_5.10.0-10.diff.gz
 6072237ee1383c3616a983f12c9f36577928013c16ca258368ac6ff2f5224a29 42704 libcgi-fast-perl_5.10.0-10_all.deb
 dc0ebee845518a9b15dbd03d9de8eb17acfc826b79ddabb9367193a89d0b5de7 8241530 perl-doc_5.10.0-10_all.deb
 3463116e51ebfdfe505bd41f983f934d6c1a9cdc82ba38e18d59f0ea72dad4c7 3293556 perl-modules_5.10.0-10_all.deb
 bd218b9c27ffed8e486fa183c180b93a34c232abff49024e4a968a84235cf515 925160 perl-base_5.10.0-10_amd64.deb
 fc1b7bace8ccd92de7dfa30ca1a750db013f4ec911ad0e6401a126aae82b6593 5371488 perl-debug_5.10.0-10_amd64.deb
 efbb20b9d8f47787086ccdd6010c62e623e8cf8cdc52ad2914858e2fa75500f8 31488 perl-suid_5.10.0-10_amd64.deb
 6597503c0a08efc307310e1e75a11f60765e4d95c0efd52dcba4e0979dc8ebdd 1010 libperl5.10_5.10.0-10_amd64.deb
 ab1081ac66ebd5bca62890ba15cba24ed494fe05d003edfd8efef2eec7840124 2522714 libperl-dev_5.10.0-10_amd64.deb
 00cfbbf8d4b8a779f7330b61fdd572b3cdde246191753fab2460a49fe3733580 5233074 perl_5.10.0-10_amd64.deb
Files: 
 94e1bf76b1ac7f8c1bbe5107fff2bf02 1199 perl standard perl_5.10.0-10.dsc
 3ddb0fa184d95d34cf6e4f0e86734fdf 104289 perl standard perl_5.10.0-10.diff.gz
 64f04bd02cfb5e3a2a8e471a83b613d0 42704 perl optional libcgi-fast-perl_5.10.0-10_all.deb
 81d5f299eea20dc641545e1c1ec28579 8241530 doc optional perl-doc_5.10.0-10_all.deb
 bafe23a7f456102796226a786b7bcf46 3293556 perl standard perl-modules_5.10.0-10_all.deb
 106f456fab1945e2611f7eb7de37db9f 925160 perl required perl-base_5.10.0-10_amd64.deb
 a776042215b024039d31a8fd5158a8b0 5371488 perl optional perl-debug_5.10.0-10_amd64.deb
 e4555a655006bc1b52c5e2cf9386e8eb 31488 perl optional perl-suid_5.10.0-10_amd64.deb
 3d63baee8df6c0fb27db815e1e71800c 1010 libs optional libperl5.10_5.10.0-10_amd64.deb
 b7e1d95ab4b3a08a3f9aece92e5df456 2522714 libdevel optional libperl-dev_5.10.0-10_amd64.deb
 f38c01c8d49912c24df36ddc55b8802f 5233074 perl standard perl_5.10.0-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIIvbNiyizGWoHLTkRAr0NAJwIDDrUX/DoGYtrnw/Z3RGQKyDNPQCfag4c
QvlKK+izjbB0D0zZY4yymlw=
=uopN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jun 2008 07:31:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:07:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.